Skip to main content
POST
/
{org}
/
{repo}
/
pull
Pull from upstream
curl --request POST \
  --url https://api.mesa.dev/v1/{org}/{repo}/pull \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "repo_id": "<string>",
  "direction": "pull",
  "status": "queued",
  "attempt": 123,
  "stats": {
    "refs": [
      {
        "name": "<string>",
        "before": "<string>",
        "after": "<string>",
        "outcome": "updated"
      }
    ]
  },
  "error": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mesa.dev/llms.txt

Use this file to discover all available pages before exploring further.

Required scope: write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Organization slug

Minimum string length: 1
repo
string
required

Repository name

Minimum string length: 1

Response

Pull enqueued

id
string
required
repo_id
string
required
direction
enum<string>
required
Available options:
pull,
push
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed
attempt
integer
required
stats
object
required
error
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
finished_at
string<date-time> | null
required